
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.worldwideadventure.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.common.ForgeSpawnEggItem;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;

import net.mcreator.worldwideadventure.item.TinpieceItem;
import net.mcreator.worldwideadventure.item.FireSwordItem;
import net.mcreator.worldwideadventure.item.DeadWorldItem;
import net.mcreator.worldwideadventure.item.BronzeSwordItem;
import net.mcreator.worldwideadventure.item.BronzePieceItem;
import net.mcreator.worldwideadventure.item.BronzePickaxeItem;
import net.mcreator.worldwideadventure.item.BronzeArmorItem;
import net.mcreator.worldwideadventure.WwamodMod;

public class WwamodModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, WwamodMod.MODID);
	public static final RegistryObject<Item> TIN_ORE = block(WwamodModBlocks.TIN_ORE);
	public static final RegistryObject<Item> TINPIECE = REGISTRY.register("tinpiece", () -> new TinpieceItem());
	public static final RegistryObject<Item> BRONZE_PIECE = REGISTRY.register("bronze_piece", () -> new BronzePieceItem());
	public static final RegistryObject<Item> BRONZE_SWORD = REGISTRY.register("bronze_sword", () -> new BronzeSwordItem());
	public static final RegistryObject<Item> BRONZE_PICKAXE = REGISTRY.register("bronze_pickaxe", () -> new BronzePickaxeItem());
	public static final RegistryObject<Item> DEAD_SAND = block(WwamodModBlocks.DEAD_SAND);
	public static final RegistryObject<Item> DEAD_WORLD = REGISTRY.register("dead_world", () -> new DeadWorldItem());
	public static final RegistryObject<Item> WANDERING_SKELETON_SPAWN_EGG = REGISTRY.register("wandering_skeleton_spawn_egg", () -> new ForgeSpawnEggItem(WwamodModEntities.WANDERING_SKELETON, -3355444, -3342388, new Item.Properties()));
	public static final RegistryObject<Item> CABRIDGER_SPAWN_EGG = REGISTRY.register("cabridger_spawn_egg", () -> new ForgeSpawnEggItem(WwamodModEntities.CABRIDGER, -1, -1, new Item.Properties()));
	public static final RegistryObject<Item> BRONZE_ARMOR_HELMET = REGISTRY.register("bronze_armor_helmet", () -> new BronzeArmorItem.Helmet());
	public static final RegistryObject<Item> BRONZE_ARMOR_CHESTPLATE = REGISTRY.register("bronze_armor_chestplate", () -> new BronzeArmorItem.Chestplate());
	public static final RegistryObject<Item> BRONZE_ARMOR_LEGGINGS = REGISTRY.register("bronze_armor_leggings", () -> new BronzeArmorItem.Leggings());
	public static final RegistryObject<Item> BRONZE_ARMOR_BOOTS = REGISTRY.register("bronze_armor_boots", () -> new BronzeArmorItem.Boots());
	public static final RegistryObject<Item> FIRE_SWORD = REGISTRY.register("fire_sword", () -> new FireSwordItem());

	// Start of user code block custom items
	// End of user code block custom items
	private static RegistryObject<Item> block(RegistryObject<Block> block) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties()));
	}
}
