
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.worldwideadventure.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.worldwideadventure.entity.WanderingSkeletonEntity;
import net.mcreator.worldwideadventure.entity.CabridgerEntity;
import net.mcreator.worldwideadventure.WwamodMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class WwamodModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, WwamodMod.MODID);
	public static final RegistryObject<EntityType<WanderingSkeletonEntity>> WANDERING_SKELETON = register("wandering_skeleton",
			EntityType.Builder.<WanderingSkeletonEntity>of(WanderingSkeletonEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(WanderingSkeletonEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<CabridgerEntity>> CABRIDGER = register("cabridger",
			EntityType.Builder.<CabridgerEntity>of(CabridgerEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(CabridgerEntity::new)

					.sized(0.9f, 1.4f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			WanderingSkeletonEntity.init();
			CabridgerEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(WANDERING_SKELETON.get(), WanderingSkeletonEntity.createAttributes().build());
		event.put(CABRIDGER.get(), CabridgerEntity.createAttributes().build());
	}
}
