
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.worldwideadventure.init;

import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.worldwideadventure.WwamodMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class WwamodModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, WwamodMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(WwamodModItems.BRONZE_ARMOR_HELMET.get());
			tabData.accept(WwamodModItems.BRONZE_ARMOR_CHESTPLATE.get());
			tabData.accept(WwamodModItems.BRONZE_ARMOR_LEGGINGS.get());
			tabData.accept(WwamodModItems.BRONZE_ARMOR_BOOTS.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {
			tabData.accept(WwamodModItems.WANDERING_SKELETON_SPAWN_EGG.get());
			tabData.accept(WwamodModItems.CABRIDGER_SPAWN_EGG.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(WwamodModItems.TINPIECE.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(WwamodModBlocks.TIN_ORE.get().asItem());
			tabData.accept(WwamodModBlocks.DEAD_SAND.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(WwamodModItems.BRONZE_SWORD.get());
			tabData.accept(WwamodModItems.BRONZE_PICKAXE.get());
			tabData.accept(WwamodModItems.DEAD_WORLD.get());
			tabData.accept(WwamodModItems.FIRE_SWORD.get());
		}
	}
}
